<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.5" maxVersion="1.7" type="org.netbeans.modules.form.forminfo.JPanelFormInfo">
  <NonVisualComponents>
    <Component class="javax.swing.ButtonGroup" name="buttonGroup1">
    </Component>
    <Component class="javax.swing.ButtonGroup" name="buttonGroup2">
    </Component>
    <Component class="javax.swing.ButtonGroup" name="buttonGroup3">
    </Component>
  </NonVisualComponents>
  <Properties>
    <Property name="requestFocusEnabled" type="boolean" value="false"/>
  </Properties>
  <AuxValues>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="2"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="1"/>
    <AuxValue name="designerSize" type="java.awt.Dimension" value="-84,-19,0,5,115,114,0,18,106,97,118,97,46,97,119,116,46,68,105,109,101,110,115,105,111,110,65,-114,-39,-41,-84,95,68,20,2,0,2,73,0,6,104,101,105,103,104,116,73,0,5,119,105,100,116,104,120,112,0,0,2,-38,0,0,0,-26"/>
  </AuxValues>

  <Layout class="org.netbeans.modules.form.compat2.layouts.DesignGridBagLayout"/>
  <SubComponents>
    <Container class="org.visnow.vn.gui.widgets.SubRangeSlider.SubRangeSlider" name="frameRangeSlider">
      <Properties>
        <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
          <Border info="org.netbeans.modules.form.compat2.border.TitledBorderInfo">
            <TitledBorder title="frame range"/>
          </Border>
        </Property>
        <Property name="enabled" type="boolean" value="false"/>
        <Property name="minimum" type="int" value="1"/>
        <Property name="paintLabels" type="boolean" value="true"/>
        <Property name="paintTicks" type="boolean" value="true"/>
        <Property name="preferredSize" type="java.awt.Dimension" editor="org.netbeans.beaninfo.editors.DimensionEditor">
          <Dimension value="[200, 60]"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="stateChanged" listener="javax.swing.event.ChangeListener" parameters="javax.swing.event.ChangeEvent" handler="frameRangeSliderStateChanged"/>
      </Events>
      <Constraints>
        <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignGridBagLayout" value="org.netbeans.modules.form.compat2.layouts.DesignGridBagLayout$GridBagConstraintsDescription">
          <GridBagConstraints gridX="-1" gridY="-1" gridWidth="1" gridHeight="1" fill="2" ipadX="0" ipadY="0" insetsTop="0" insetsLeft="0" insetsBottom="0" insetsRight="0" anchor="10" weightX="0.0" weightY="0.0"/>
        </Constraint>
      </Constraints>

      <Layout class="org.netbeans.modules.form.compat2.layouts.DesignAbsoluteLayout">
        <Property name="useNullLayout" type="boolean" value="true"/>
      </Layout>
    </Container>
    <Component class="org.visnow.vn.gui.widgets.ExtendedSlider" name="nTrajectoriesSlider">
      <Properties>
        <Property name="globalMax" type="java.lang.Number" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
          <Connection code="1000000" type="code"/>
        </Property>
        <Property name="globalMin" type="java.lang.Number" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
          <Connection code="1" type="code"/>
        </Property>
        <Property name="max" type="java.lang.Number" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
          <Connection code="1000000" type="code"/>
        </Property>
        <Property name="min" type="java.lang.Number" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
          <Connection code="1" type="code"/>
        </Property>
        <Property name="scaleType" type="org.visnow.vn.gui.widgets.ExtendedSlider$ScaleType" editor="org.netbeans.modules.form.editors.EnumEditor">
          <Value id="LOGARITHMIC"/>
        </Property>
        <Property name="value" type="java.lang.Number" editor="org.netbeans.modules.form.RADConnectionPropertyEditor">
          <Connection code="1000&#xa;" type="code"/>
        </Property>
        <Property name="border" type="javax.swing.border.Border" editor="org.netbeans.modules.form.editors2.BorderEditor">
          <Border info="org.netbeans.modules.form.compat2.border.TitledBorderInfo">
            <TitledBorder title="displayed trajectories "/>
          </Border>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="userAction" listener="org.visnow.vn.gui.swingwrappers.UserActionListener" parameters="org.visnow.vn.gui.swingwrappers.UserEvent" handler="nTrajectoriesSliderUserAction"/>
      </Events>
      <Constraints>
        <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignGridBagLayout" value="org.netbeans.modules.form.compat2.layouts.DesignGridBagLayout$GridBagConstraintsDescription">
          <GridBagConstraints gridX="0" gridY="1" gridWidth="1" gridHeight="1" fill="2" ipadX="0" ipadY="0" insetsTop="0" insetsLeft="0" insetsBottom="0" insetsRight="0" anchor="10" weightX="1.0" weightY="0.0"/>
        </Constraint>
      </Constraints>
    </Component>
    <Container class="javax.swing.JPanel" name="jPanel1">
      <Constraints>
        <Constraint layoutClass="org.netbeans.modules.form.compat2.layouts.DesignGridBagLayout" value="org.netbeans.modules.form.compat2.layouts.DesignGridBagLayout$GridBagConstraintsDescription">
          <GridBagConstraints gridX="0" gridY="2" gridWidth="1" gridHeight="1" fill="1" ipadX="0" ipadY="0" insetsTop="0" insetsLeft="0" insetsBottom="0" insetsRight="0" anchor="10" weightX="0.0" weightY="1.0"/>
        </Constraint>
      </Constraints>

      <Layout class="org.netbeans.modules.form.compat2.layouts.DesignFlowLayout"/>
    </Container>
  </SubComponents>
</Form>
